import 'dart:async';
import 'dart:ffi';

import 'package:flutter/services.dart';

class FlUpdateApkPl {
  static const MethodChannel _channel = const MethodChannel('fl_update_apk_pl');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }


  /// 传递 下载所需数据
  static Future<void> sendDownloadData(String requestUrl, String title, String content, String forcesUpdate) async {
    Map<String, String> params = Map<String, String>();
    params['requestUrl'] = requestUrl;
    params['title'] = title;
    params['content'] = content;
    params['forcesUpdate'] = forcesUpdate;
    await _channel.invokeMethod("sendDownloadData", params);
  }
}
